Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452696 - ondemand with 2.6.25.x and core2 won't go below 2GHz
Summary: ondemand with 2.6.25.x and core2 won't go below 2GHz
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 8
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 15:08 UTC by Benjamin Kosnik
Modified: 2013-08-09 05:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:54:54 UTC


Attachments (Terms of Use)
2.6.25.6-27 dmesg (deleted)
2008-06-28 13:55 UTC, Benjamin Kosnik
no flags Details
2.6.25.6-27 available_freq (deleted)
2008-06-28 13:56 UTC, Benjamin Kosnik
no flags Details
2.6.24.7-92 dmesg (deleted)
2008-06-28 14:04 UTC, Benjamin Kosnik
no flags Details
2.6.25-10-47 dmesg w/cpufreq.debug=7 (deleted)
2008-07-18 18:46 UTC, Benjamin Kosnik
no flags Details
2.6.26.11-60 dmesg w/cpufreq.debug=7 (deleted)
2008-07-26 18:54 UTC, Benjamin Kosnik
no flags Details

Description Benjamin Kosnik 2008-06-24 15:08:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:

Noticed that the 2.6.25.x kernels on f8 on a core2 system don't clock down to 800MHz anymore, instead stay at 2GHz. This increases the total system heat on idle, which is unfortunate as it's now summer where I live and thus the ambient temps are higher as well.

;)

So,
kernel-2.6.24.7-92.fc8

works as expected, but

kernel-2.6.25.6-27.fc8

does not.

Version-Release number of selected component (if applicable):
kernel-2.6.25.6-27.fc8

How reproducible:
Always


Steps to Reproduce:
1. boot f8 install into 2.6.25 kernel
2. look at cpu monitor
3. look at lm_sensors data

Actual Results:

CPU temps ~50C

Expected Results:

CPU temps ~35C

Additional info:
00:00.0 Host bridge: Intel Corporation 82G33/G31/P35/P31 Express DRAM Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation 82G33/G31/P35/P31 Express PCI Express Root Port (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 02)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 02)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 02)
00:1c.5 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 6 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 92)
00:1f.0 ISA bridge: Intel Corporation 82801IR (ICH9R) LPC Interface Controller (rev 02)
00:1f.2 RAID bus controller: Intel Corporation 82801 SATA RAID Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation G71 [GeForce 7300 GS] (rev a1)
03:00.0 IDE interface: JMicron Technologies, Inc. JMB368 IDE controller
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
05:07.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)


and cpu info:
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 Duo CPU     E6850  @ 3.00GHz
stepping	: 11
cpu MHz		: 2000.000
cache size	: 4096 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips	: 6003.12
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 Duo CPU     E6850  @ 3.00GHz
stepping	: 11
cpu MHz		: 2000.000
cache size	: 4096 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips	: 5999.95
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

Comment 1 Dave Jones 2008-06-24 15:20:27 UTC
please boot with cpufreq.debug=7 and attach dmesg.

also, what does
/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies say?

Comment 2 Benjamin Kosnik 2008-06-24 15:47:33 UTC
will reboot into 2.6.25.x tonight and provide that info.

For 2.6.24.7-92.fc8,

/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies

says:
3000000 2000000 

which is weird as gnome cpu monitor applet says 800, lm_sensors say 35C at idle.



Comment 3 Benjamin Kosnik 2008-06-28 13:55:43 UTC
Created attachment 310502 [details]
2.6.25.6-27 dmesg

Comment 4 Benjamin Kosnik 2008-06-28 13:56:44 UTC
Created attachment 310503 [details]
2.6.25.6-27 available_freq

Comment 5 Benjamin Kosnik 2008-06-28 14:04:26 UTC
Created attachment 310504 [details]
2.6.24.7-92 dmesg

Comment 6 Chuck Ebbert 2008-06-30 20:24:01 UTC
(In reply to comment #3)
> Created an attachment (id=310502) [edit]
> 2.6.25.6-27 dmesg
> 

Needs to be done with cpufreq.debug=7


Comment 7 Benjamin Kosnik 2008-07-18 18:46:20 UTC
Created attachment 312165 [details]
2.6.25-10-47 dmesg w/cpufreq.debug=7

Comment 8 Benjamin Kosnik 2008-07-26 18:54:12 UTC
Created attachment 312713 [details]
2.6.26.11-60 dmesg w/cpufreq.debug=7

Comment 9 Benjamin Kosnik 2008-07-26 18:55:26 UTC
ping

Comment 10 Bug Zapper 2008-11-26 10:55:04 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2009-01-09 07:54:54 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.